Bug 467147 - Insufficient error reporting when no revision history is present.
Insufficient error reporting when no revision history is present.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 19:31 EDT by Ryan Lerch
Modified: 2010-11-23 22:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryan Lerch 2008-10-15 19:31:28 EDT
Description of problem:
when building the web-srpm (i tested with make web-brew-scratch-en-US) and no Revision History is present in the book / article, publican's error reporting is not very useful:

START: web-srpm-en-US: Thu Oct 16 07:16:41 EST 2008
 I/O error : Is a directory
 tmp/en-US/xml/:1: parser error : Document is empty
 ^
 tmp/en-US/xml/:1: parser error : Start tag expected, '<' not found
 ^
 I/O error : Is a directory
 unable to parse tmp/en-US/xml/
 make: *** [web-srpm-en-US] Error 6
Comment 1 Jeff Fearn 2008-10-15 22:47:18 EDT
Added check for valid revision history file when building rpms.

Added error message:

*ERROR: No revhistory found*
You need a correctly formatted Revision History to build RPMS
make: *** [web-srpm-en-US] Error 5
Comment 2 Ryan Lerch 2008-10-15 23:32:24 EDT
thanks for the fast turnaround on this one jeff!
:)
Comment 3 Fedora Update System 2008-10-16 18:44:06 EDT
publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9
Comment 4 Fedora Update System 2008-11-06 21:55:25 EST
publican-0.38-0.fc9, perl-XML-TreeBuilder-3.09-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.